### Method

# Secret Service delete_item_dbus_path_sync

#### Declaration [src]

    gboolean
    secret_service_delete_item_dbus_path_sync (
      SecretService* self,
      const gchar* item_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Delete a secret item from the secret service.

The item is represented by its D-Bus object path. If you already have a `SecretItem` proxy objects, use use `secret_item_delete_sync()` instead.

This method may block indefinitely and should not be used in user interface threads.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`item_path` | `const gchar*`
| The D-Bus path of item to delete.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the deletion was successful or not.